summaryrefslogtreecommitdiffstats
path: root/source/l/gdbm/gdbm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gdbm/gdbm.SlackBuild')
-rwxr-xr-xsource/l/gdbm/gdbm.SlackBuild87
1 files changed, 87 insertions, 0 deletions
diff --git a/source/l/gdbm/gdbm.SlackBuild b/source/l/gdbm/gdbm.SlackBuild
new file mode 100755
index 000000000..aeb91618a
--- /dev/null
+++ b/source/l/gdbm/gdbm.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build gdbm-$VERSION for Slackware
+# by volkerdi@slackware.com, 2/2001
+
+
+VERSION=1.8.3
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-4}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-gdbm
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf gdbm-$VERSION
+tar xzvf $CWD/gdbm-$VERSION.tar.gz
+cd gdbm-$VERSION
+chown -R root:root .
+find . -perm 700 -exec chmod 755 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+make -j4 || exit 1
+make install INSTALL_ROOT=$PKG
+
+# I'm not sure what out there would need the "libgdbm_compat" library,
+# but it causes versions of ndbm.h and dbm.h to be installed that break
+# compiling nearly everything with any dbm support (like python's dbm.so,
+# and mod_ssl). Putting 'em in /usr/include/gdbm/ doesn't isolate them
+# enough, either. File this one under "not worth it".
+#make install-compat INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/usr/doc/gdbm-$VERSION
+cp -a \
+ COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/gdbm-$VERSION
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/gdbm.info
+gzip -9 $PKG/usr/man/man3/gdbm.3
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/gdbm-$VERSION-$ARCH-$BUILD.txz
+